Savings

Get a list of savings plans

Use this method to get a list of all savings plans.

GET
/api/v2/my/savings/plans

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/savings/plans"
{  "data": [    {      "id": "49825070-d077-419e-bbec-6b9a65381901",      "presetId": "09d5ce50-5fe8-469f-b6c4-c39698f98c22",      "walletId": "4815162342",      "status": "active",      "strategy": "fixed",      "abilities": {        "cancel": true,        "additionalInvestment": false      },      "cancelledAt": "2023-11-17T11:32:01Z",      "createdAt": "2023-11-17T11:30:01Z",      "updatedAt": "2023-11-17T11:30:01Z",      "details": {        "currencyAlpha": "USD",        "investmentAmount": 1000.5,        "admissionFee": 50,        "cancellationPenalty": 100,        "startAt": "2023-11-17T11:30:01Z",        "maturityAt": "2023-11-17T10:30:01Z"      }    }  ]}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Service Unavailable"  }}